Bug 40938 - IIS Tomcat Connector URL Rewrite only works in "debug" mode
IIS Tomcat Connector URL Rewrite only works in "debug" mode
Status: CLOSED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
Other Windows Server 2003
: P1 major (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-11-09 09:09 UTC by Chris Adams
Modified: 2008-10-05 03:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Adams 2006-11-09 09:09:47 UTC
The URL Rewriting capability of the IIS Tomcat Connector (1.2.19) only works in 
debug mode. 

In init_jk(char *serverName) method in jk_isapi_plugin.c the "else" statement 
on line 1227 is calling jk_map_free, which frees the rewrite_map.  If debug is 
enabled the code enters the if on line 1222 and works as expected.  It seems 
like the "else" statement which frees the map should be moved to after line 
1230.

Turning on debug is not an acceptable workaround, since the log file will grow 
extremely large, we've had 8GB+ in a day.
Comment 1 Mladen Turk 2006-11-09 09:25:57 UTC
Fixed in the SVN.
Thanks for spotting that Chris.
Comment 2 Rainer Jung 2008-01-01 16:51:30 UTC
Move a couple of fixed JK issues from resolved to closed.